Xerces-C++ 3.1.3

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
PSVIAttributeList Class Reference
Inheritance diagram for PSVIAttributeList:

## Public Member Functions

Constructors
| PSVIAttributeList (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~PSVIAttributeList ()
PSVIAttributeList methods
XMLSize_t | getLength () const
PSVIAttribute * | getAttributePSVIAtIndex (const XMLSize_t index)
const XMLCh * | getAttributeNameAtIndex (const XMLSize_t index)
const XMLCh * | getAttributeNamespaceAtIndex (const XMLSize_t index)
PSVIAttribute * | getAttributePSVIByName (const XMLCh *attrName, const XMLCh *attrNamespace)
PSVIAttribute * | getPSVIAttributeToFill (const XMLCh *attrName, const XMLCh *attrNS)
| methods needed by implementation
void | reset ()
| reset the list
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Additional Inherited Members

Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Constructor & Destructor Documentation

PSVIAttributeList::PSVIAttributeList | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

The default constructor.

Parameters

  manager | The configurable memory manager

PSVIAttributeList::~PSVIAttributeList | ( |  | ) |

## Member Function Documentation

const XMLCh* PSVIAttributeList::getAttributeNameAtIndex | ( | const XMLSize_t | index | ) |

const XMLCh* PSVIAttributeList::getAttributeNamespaceAtIndex | ( | const XMLSize_t | index | ) |

PSVIAttribute* PSVIAttributeList::getAttributePSVIAtIndex | ( | const XMLSize_t | index | ) |

PSVIAttribute* PSVIAttributeList::getAttributePSVIByName | ( | const XMLCh * | attrName,
|  | const XMLCh * | attrNamespace
| ) |  |

XMLSize_t PSVIAttributeList::getLength | ( |  | ) | const

PSVIAttribute * PSVIAttributeList::getPSVIAttributeToFill | ( | const XMLCh * | attrName,
|  | const XMLCh * | attrNS
| ) |  |

methods needed by implementation

returns a PSVI attribute of undetermined state and given name/namespace and makes that object part of the internal list. Intended to be called during validation of an element.

Parameters

  attrName | name of this attribute
  attrNS | URI of the attribute

Returns
  new, uninitialized, PSVIAttribute object

References PSVIAttributeStorage::fAttributeName, PSVIAttributeStorage::fAttributeNamespace, and PSVIAttributeStorage::fPSVIAttribute.

void PSVIAttributeList::reset | ( |  | ) |

reset the list

The documentation for this class was generated from the following file:

- PSVIAttributeList.hpp